zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [zookeeper] JiriOndrusek commented on issue #945: [ZOOKEEPER-3389] Zookeeper does not export all required packages in OSGi (needed for curator)
Date Wed, 15 May 2019 15:30:30 GMT
JiriOndrusek commented on issue #945: [ZOOKEEPER-3389] Zookeeper does not export all required
packages in OSGi (needed for curator)
URL: https://github.com/apache/zookeeper/pull/945#issuecomment-492704512
 
 
   @nkalmar @eolivelli 
   I'll continue with this tomorrow.
   I see in your comment: "Those should be all private to ZooKeeper, so we do not change public
API" and the fact that jute is another artifact, I see "simple" solution:
   I'll try to dig up little bit if there is some way, when zookeeper-jute won't export these
"private packages". But I have to try some possibilities,  how to solve zookeeper-server's
dependency on those libraries. I'm not sure whether it will be possible. 
   Current status is: 
   - build changes are only for zookeeper-server to be changed into OSGi bundle, 
   - there are no warnings during build. 
   - I have to validate whether there is some "real" difference between current manifest and
manifest generated by ant.
   
   As there is a mentioning, that changing packaging from 'jar' to 'bundle' will cause some
errors elsewhere. Unfortunately I'm not aware of other way of running OSGi build, but I'll
try to look into it also tomorrow.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

Mime
View raw message